#!/bin/sh
config() {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"

# If there's no config file by that name, mv it over:
if [ ! -r $OLD ]; then
	mv $NEW $OLD
elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
	rm $NEW
fi
# Otherwise, we leave the .new copy for the admin to consider...
# Keep same perms as the already existing config file if there is any, it may be an initscript!:
if [ -f "$NEW" ]
then
	OLD="$(dirname $NEW)/$(basename $NEW .new)"
	cp -a "$OLD" "${NEW}.incoming"
	cat "$NEW" > "${NEW}.incoming"
	mv "${NEW}.incoming" "$NEW"
fi
}

for i in etc/set_rlimits.conf.new 
do
	config $i
done
